/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomElement_H___INT_
#define __GdomElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomEventTargetNode.h"
#include "GDOMObject.h"
#include "Element.h"
G_BEGIN_DECLS
class GDOMElement : public GDOMEventTargetNode {
    typedef GDOMEventTargetNode Base;
public:
    int get_gobj_type() { return GDOM_TYPE_ELEMENT; }
    GDOMElement(PassRefPtr<WebCore::Element> impl);
    WebCore::Element* impl() const
    {
        return static_cast<WebCore::Element*>(Base::impl());
    }
};
G_END_DECLS

#endif /* __GdomElement_H___INT_*/
